# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/distiller/project/recipes/pyfba, last modified Wed Jun 23 02:39:04 2021
# ------------------------------------------------

package:
  name: pyfba
  version: '2.58'
source:
  sha256: 0a014d8abf91ffc0ed31ba3db3a8f5f63e426e39b173f8ac3752dc95bfcb158b
  url: https://pypi.io/packages/source/p/pyfba/PyFBA-2.58.tar.gz
build:
  number: '0'
  script: /Users/distiller/project/miniconda/conda-bld/pyfba_1624441404812/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install --ignore-installed --no-cache-dir -vvv .
  string: py39h667f51c_0
requirements:
  build:
    - cctools_osx-64 949.0.1 h6407bdd_22
    - clang 11.1.0 h694c41f_1
    - clang-11 11.1.0 default_he082bbe_1
    - clang_osx-64 11.1.0 hb91bd55_2
    - clangxx 11.1.0 default_he082bbe_1
    - clangxx_osx-64 11.1.0 h7e1b574_2
    - compiler-rt 11.1.0 h654b07c_0
    - compiler-rt_osx-64 11.1.0 h8c5fa43_0
    - ld64_osx-64 530 he8994da_21
    - ldid 2.1.2 h7660a38_2
    - libclang-cpp11.1 11.1.0 default_he082bbe_1
    - libcxx 11.1.0 habf9029_0
    - libllvm11 11.1.0 hd011deb_2
    - libllvm12 12.0.0 hd011deb_1
    - llvm-tools 11.1.0 hd011deb_2
    - tapi 1100.0.11 h9ce4665_0
    - zlib 1.2.11 h7795811_1010
  host:
    - ca-certificates 2021.5.30 h033912b_0
    - certifi 2021.5.30 py39h6e9494a_0
    - glpk 4.65 h0f52abe_1004
    - gmp 6.2.1 h2e338ed_0
    - libcxx 11.1.0 habf9029_0
    - libffi 3.3 h046ec9c_2
    - ncurses 6.2 h2e338ed_4
    - openssl 1.1.1k h0d85af4_0
    - pip 21.1.2 pyhd8ed1ab_0
    - pyglpk 0.4.6 py39h32d733a_0
    - python 3.9.5 hd187cdc_0_cpython
    - python_abi 3.9 1_cp39
    - readline 8.1 h05e3726_0
    - setuptools 49.6.0 py39h6e9494a_3
    - setuptools-scm 6.0.1 pyh44b312d_0
    - setuptools_scm 6.0.1 hd8ed1ab_0
    - sqlite 3.36.0 h23a322b_0
    - tk 8.6.10 h0419947_1
    - toml 0.10.2 pyhd8ed1ab_0
    - tzdata 2021a he74cb21_0
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 haf1e3a3_1
    - zlib 1.2.11 h7795811_1010
  run:
    - beautifulsoup4
    - glpk >=4.65,<4.66.0a0
    - jupyter
    - libcxx >=11.1.0
    - lxml
    - pyglpk
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
test:
  commands:
    - pyfba --help
    - pyfba gapfill_roles --help
  imports:
    - PyFBA
about:
  dev_url: https://github.com/linsalrob/PyFBA/
  doc_url: https://linsalrob.github.io/PyFBA/
  home: https://linsalrob.github.io/PyFBA/
  license: MIT
  license_family: MIT
  summary: Python-based Flux Balance Analysis using the ModelSEED
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.5281/zenodo.4972064
  recipe-maintainers:
    - linsalrob
